cascading.flow.planner.iso.subgraph

## Class Partitions

- java.lang.Object
- - cascading.flow.planner.iso.GraphResult
  - - cascading.flow.planner.iso.subgraph.Partitions

-     public class Partitions
      extends GraphResult

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Partitions(GraphPartitioner graphPartitioner, ElementGraph beginGraph, ElementGraph contractedGraph, List<Match> contractedMatches, Map<ElementGraph,EnumMultiMap> annotatedSubGraphs)`
    `Partitions(GraphPartitioner graphPartitioner, ElementGraph beginGraph, Map<ElementGraph,EnumMultiMap> annotatedSubGraphs)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<ElementGraph,EnumMultiMap>` | `getAnnotatedSubGraphs()`
    `ElementGraph` | `getBeginGraph()`
    `ElementGraph` | `getEndGraph()`
    `String` | `getRuleName()`
    `List<ElementGraph>` | `getSubGraphs()`
    `boolean` | `hasContractedMatches()`
    `boolean` | `hasSubGraphs()`
    `void` | `setRulePartitioner(RulePartitioner rulePartitioner)`
    `void` | `writeDOTs(String path)`

    - ### Methods inherited from class cascading.flow.planner.iso.GraphResult

      `makeFileName, writeBeginGraph, writeEndGraph`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Partitions

          public Partitions(GraphPartitioner graphPartitioner,
                    ElementGraph beginGraph,
                    Map<ElementGraph,EnumMultiMap> annotatedSubGraphs)

    - #### Partitions

          public Partitions(GraphPartitioner graphPartitioner,
                    ElementGraph beginGraph,
                    ElementGraph contractedGraph,
                    List<Match> contractedMatches,
                    Map<ElementGraph,EnumMultiMap> annotatedSubGraphs)

  - ### Method Detail

    - #### setRulePartitioner

          public void setRulePartitioner(RulePartitioner rulePartitioner)

    - #### getRuleName

          public String getRuleName()

      Specified by:
        `getRuleName` in class `GraphResult`

    - #### getBeginGraph

          public ElementGraph getBeginGraph()

      Specified by:
        `getBeginGraph` in class `GraphResult`

    - #### getEndGraph

          public ElementGraph getEndGraph()

      Specified by:
        `getEndGraph` in class `GraphResult`

    - #### getAnnotatedSubGraphs

          public Map<ElementGraph,EnumMultiMap> getAnnotatedSubGraphs()

    - #### hasSubGraphs

          public boolean hasSubGraphs()

    - #### hasContractedMatches

          public boolean hasContractedMatches()

    - #### getSubGraphs

          public List<ElementGraph> getSubGraphs()

    - #### writeDOTs

          public void writeDOTs(String path)

      Specified by:
        `writeDOTs` in class `GraphResult`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.